import "../../../../../../node_modules/.pnpm/vue@3.3.4/node_modules/vue/dist/vue.runtime.esm-bundler.mjs";
import SettingItem from "../../../../../components/Pages/ChartItemSetting/SettingItem.vue2.mjs";
import SettingItemBox from "../../../../../components/Pages/ChartItemSetting/SettingItemBox.vue.mjs";
import _sfc_main$1 from "../../../../../components/Pages/ChartItemSetting/CollapseItem.vue.mjs";
import "../../../../../../node_modules/.pnpm/vue3-lazyload@0.2.5-beta_a6dezdz3je235ci4e3tu4rayna/node_modules/vue3-lazyload/dist/vue3-lazyload.esm.mjs";
import "../../../../../../node_modules/.pnpm/screenfull@6.0.2/node_modules/screenfull/index.mjs";
import "../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_root.mjs";
import "../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_baseGetTag.mjs";
import "../../../../../../node_modules/.pnpm/html2canvas@1.4.1/node_modules/html2canvas/dist/html2canvas.esm.mjs";
import "../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_baseClone.mjs";
import "../../../../../../node_modules/.pnpm/crypto-js@4.1.1/node_modules/crypto-js/index.mjs";
import "../../../../../enums/pageEnum.mjs";
import "../../../../../router/index.mjs";
import "../../../../../store/modules/designStore/designStore.mjs";
import "../../../../../settings/designSetting.mjs";
import "../../../../../components/GoLoading/index.mjs";
import "../../../../../components/GoSkeleton/index.vue.mjs";
import "../../../../../store/modules/chartEditStore/chartEditStore.mjs";
import "../../../../../components/Pages/ChartItemSetting/StylesSetting.vue.mjs";
import { defineComponent, computed, resolveComponent, openBlock, createBlock, withCtx, createVNode } from "../../../../../../node_modules/.pnpm/@vue_runtime-core@3.3.4/node_modules/@vue/runtime-core/dist/runtime-core.esm-bundler.mjs";
import { unref } from "../../../../../../node_modules/.pnpm/@vue_reactivity@3.3.4/node_modules/@vue/reactivity/dist/reactivity.esm-bundler.mjs";
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "config",
  props: {
    optionData: {
      type: Object,
      required: true
    }
  },
  setup(__props) {
    const props = __props;
    const config = computed(() => {
      return props.optionData;
    });
    const dialConfig = computed(() => {
      return props.optionData.series[0];
    });
    const updateClick = (val) => {
      props.optionData.series[1].splitLine.lineStyle.color = val;
    };
    return (_ctx, _cache) => {
      const _component_n_input_number = resolveComponent("n-input-number");
      const _component_n_color_picker = resolveComponent("n-color-picker");
      return openBlock(), createBlock(unref(_sfc_main$1), {
        name: `圆环`,
        expanded: true
      }, {
        default: withCtx(() => [
          createVNode(unref(SettingItemBox), { name: "数据" }, {
            default: withCtx(() => [
              createVNode(unref(SettingItem), { name: "数值" }, {
                default: withCtx(() => [
                  createVNode(_component_n_input_number, {
                    value: config.value.dataset,
                    "onUpdate:value": _cache[0] || (_cache[0] = ($event) => config.value.dataset = $event),
                    min: dialConfig.value.min,
                    max: dialConfig.value.max,
                    step: 1,
                    size: "small",
                    placeholder: "数值"
                  }, null, 8, ["value", "min", "max"])
                ]),
                _: 1
              })
            ]),
            _: 1
          }),
          createVNode(unref(SettingItemBox), { name: "字体" }, {
            default: withCtx(() => [
              createVNode(unref(SettingItem), { name: "颜色" }, {
                default: withCtx(() => [
                  createVNode(_component_n_color_picker, {
                    size: "small",
                    modes: ["hex"],
                    value: dialConfig.value.axisLabel.color,
                    "onUpdate:value": _cache[1] || (_cache[1] = ($event) => dialConfig.value.axisLabel.color = $event)
                  }, null, 8, ["value"])
                ]),
                _: 1
              }),
              createVNode(unref(SettingItem), { name: "字体大小" }, {
                default: withCtx(() => [
                  createVNode(_component_n_input_number, {
                    value: dialConfig.value.axisLabel.fontSize,
                    "onUpdate:value": _cache[2] || (_cache[2] = ($event) => dialConfig.value.axisLabel.fontSize = $event),
                    min: 0,
                    step: 1,
                    size: "small",
                    placeholder: "字体大小"
                  }, null, 8, ["value"])
                ]),
                _: 1
              })
            ]),
            _: 1
          }),
          createVNode(unref(SettingItemBox), { name: "表盘外部" }, {
            default: withCtx(() => [
              createVNode(unref(SettingItem), { name: "颜色" }, {
                default: withCtx(() => [
                  createVNode(_component_n_color_picker, {
                    size: "small",
                    modes: ["hex"],
                    value: config.value.series[1].axisLine.lineStyle.color[1][1],
                    "onUpdate:value": _cache[3] || (_cache[3] = ($event) => config.value.series[1].axisLine.lineStyle.color[1][1] = $event)
                  }, null, 8, ["value"])
                ]),
                _: 1
              })
            ]),
            _: 1
          }),
          createVNode(unref(SettingItemBox), { name: "指针" }, {
            default: withCtx(() => [
              createVNode(unref(SettingItem), { name: "颜色" }, {
                default: withCtx(() => [
                  createVNode(_component_n_color_picker, {
                    size: "small",
                    modes: ["hex"],
                    value: dialConfig.value.data[0].itemStyle.color,
                    "onUpdate:value": _cache[4] || (_cache[4] = ($event) => dialConfig.value.data[0].itemStyle.color = $event)
                  }, null, 8, ["value"])
                ]),
                _: 1
              }),
              createVNode(unref(SettingItem), { name: "宽度" }, {
                default: withCtx(() => [
                  createVNode(_component_n_input_number, {
                    value: dialConfig.value.pointer.width,
                    "onUpdate:value": _cache[5] || (_cache[5] = ($event) => dialConfig.value.pointer.width = $event),
                    min: 0,
                    step: 1,
                    size: "small",
                    placeholder: "数值"
                  }, null, 8, ["value"])
                ]),
                _: 1
              })
            ]),
            _: 1
          }),
          createVNode(unref(SettingItemBox), { name: "刻度" }, {
            default: withCtx(() => [
              createVNode(unref(SettingItem), { name: "最小值" }, {
                default: withCtx(() => [
                  createVNode(_component_n_input_number, {
                    value: dialConfig.value.min,
                    "onUpdate:value": _cache[6] || (_cache[6] = ($event) => dialConfig.value.min = $event),
                    min: 0,
                    step: 1,
                    size: "small",
                    placeholder: "数值"
                  }, null, 8, ["value"])
                ]),
                _: 1
              }),
              createVNode(unref(SettingItem), { name: "最大值" }, {
                default: withCtx(() => [
                  createVNode(_component_n_input_number, {
                    value: dialConfig.value.max,
                    "onUpdate:value": _cache[7] || (_cache[7] = ($event) => dialConfig.value.max = $event),
                    min: 0,
                    step: 1,
                    size: "small",
                    placeholder: "数值"
                  }, null, 8, ["value"])
                ]),
                _: 1
              }),
              createVNode(unref(SettingItem), { name: "颜色" }, {
                default: withCtx(() => [
                  createVNode(_component_n_color_picker, {
                    size: "small",
                    modes: ["hex"],
                    value: config.value.series[1].axisTick.lineStyle.color,
                    "onUpdate:value": [
                      _cache[8] || (_cache[8] = ($event) => config.value.series[1].axisTick.lineStyle.color = $event),
                      updateClick
                    ]
                  }, null, 8, ["value"])
                ]),
                _: 1
              })
            ]),
            _: 1
          })
        ]),
        _: 1
      });
    };
  }
});
export {
  _sfc_main as default
};
